Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.lc
Interface FieldInfo

All Superinterfaces:
  java.io.Serializable

    public interface FieldInfo

extends java.io.Serializable

Interface `FieldInfo` contains information of a Field.

Since:
  v10.1

Method Summary
`java.lang.String` | `getCatalog()` Gets this catalog resource path in the component library.
`java.lang.String` | `getDataSource()` Gets this DataSource name.
`java.lang.String[]` | `getFieldDetails()` Gets the field detailed path information (excluding catalog, data source, query).
`java.lang.String` | `getFieldName()` Gets leaf node name(group|detail).
`java.lang.String` | `getFullPath()` Gets UI display path.
`java.lang.String` | `getQuery()` Gets the Query name.

Method Detail

### getCatalog

    java.lang.String getCatalog()

  Gets this catalog resource path in the component library.

  Returns:
    catalog resource path.

### getDataSource

    java.lang.String getDataSource()

  Gets this DataSource name.

  Returns:
    DataSource name.

### getQuery

    java.lang.String getQuery()

  Gets the Query name.

  Returns:
    query name.

### getFieldDetails

    java.lang.String[] getFieldDetails()

  Gets the field detailed path information (excluding catalog, data source, query).

  Returns:
    string Array contains field detail information. Array[0]: bv, Array[1]: [category], Array[2]: fieldname(group|detail)

### getFieldName

    java.lang.String getFieldName()

  Gets leaf node name(group|detail).

  Returns:
    file name.

### getFullPath

    java.lang.String getFullPath()

  Gets UI display path.

  Returns:
    field full path. For example, /[folders.../]catalog/datasource/query/bv/[categories.../]fieldName

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD